Skip to main content
PATCH
/
client
/
employees
/
{userId}
cURL
curl --request PATCH \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/employees/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "John",
  "last_name": "Doe",
  "personal_email": null,
  "phone": "+1-555-555-5555",
  "country": "United States",
  "landmark": null,
  "job_title": null,
  "tax_number": null,
  "address": "123 Main Street Apt. 1 New York, NY",
  "employment_type": null
}
'
{
  "success": true,
  "message": "Record Updated successfully",
  "data": {
    "id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
    "first_name": "Jackson",
    "last_name": "Doe",
    "email": "[email protected]",
    "personal_email": null,
    "phone": "+1-555-555-5555",
    "country": "United States",
    "landmark": null,
    "last_login": null,
    "job_title": null,
    "tax_number": null,
    "address": "Osuntokun Avenue, New Bodija, Ibadan",
    "employment_type": null,
    "level": null,
    "status": null,
    "country_code": "US",
    "currency_code": "USD",
    "departments": [],
    "created_at": "2024-01-17T10:21:37.000000Z",
    "catalogs": null,
    "equipment": [],
    "orders": []
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string<uuid>
required

ID of the employee to update

Body

application/json

The employee data to update

first_name
string
Example:

"John"

last_name
string
Example:

"Doe"

personal_email
string
Example:

null

phone
string
Example:

"+1-555-555-5555"

country
string
Example:

"United States"

landmark
string
Example:

null

job_title
string
Example:

null

tax_number
string
Example:

null

address
string
Example:

"123 Main Street Apt. 1 New York, NY"

employment_type
string
Example:

null

Response

Employee record updated successfully

success
boolean
Example:

true

message
string
Example:

"Record Updated successfully"

data
object
Example:
{
  "id": "9dfd3a42-b0e9-4f1b-a822-1b91f2149813",
  "first_name": "Jackson",
  "last_name": "Doe",
  "email": "[email protected]",
  "personal_email": null,
  "phone": "+1-555-555-5555",
  "country": "United States",
  "landmark": null,
  "last_login": null,
  "job_title": null,
  "tax_number": null,
  "address": "Osuntokun Avenue, New Bodija, Ibadan",
  "employment_type": null,
  "level": null,
  "status": null,
  "country_code": "US",
  "currency_code": "USD",
  "departments": [],
  "created_at": "2024-01-17T10:21:37.000000Z",
  "catalogs": null,
  "equipment": [],
  "orders": []
}